#ifndef USART_H_
#define USART_H_

#include <avr/io.h>
#include <stdio.h>

/*
 * Functie de initializare a controllerului USART
 */
void USART_init(void);

/*
 * Functie ce transmite un caracter prin USART
 *
 * @param data - caracterul de transmis
 */
void USART_send( unsigned char data);

/*
 * Functie ce transmite un sir de caractere prin USART
 *
 * @param data - sirul (terminat cu '\0') de transmis
 */
void USART_putstring(char* StringPtr);


/*
 * Functie ce primeste un caracter prin USART
 *
 * @return - caracterul primit
 */
unsigned char USART_Receive( void );

/*
 * Functie ce transmite un caracter prin USART
 *
 * @param data - caracterul de transmis
 * @param stream - nefolosit
 *
 * @return - intotdeauna returneaza 0
 */
void USART_interrupt_init(void);

#endif // USART_H_
